#pragma once

#include "sprite.h"
#include "SFML/Graphics/RectangleShape.hpp"

class ClassicSprite : public Sprite, public sf::Drawable
{
public:
    ClassicSprite(const sf::RectangleShape& shape);
    virtual void draw(sf::RenderTarget& target, sf::RenderStates states) const override;

    void setCoordinates(float x, float y) noexcept;

private:
    sf::RectangleShape _shape;
};
